from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry import error_types_pb2 as _error_types_pb2
from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class AddContactAuthInfoRequest(_message.Message):
    __slots__ = ("contact_id", "by_registrar", "contact_snapshot_id", "auth_info", "generate", "ttl", "log_entry_id")
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    BY_REGISTRAR_FIELD_NUMBER: _ClassVar[int]
    CONTACT_SNAPSHOT_ID_FIELD_NUMBER: _ClassVar[int]
    AUTH_INFO_FIELD_NUMBER: _ClassVar[int]
    GENERATE_FIELD_NUMBER: _ClassVar[int]
    TTL_FIELD_NUMBER: _ClassVar[int]
    LOG_ENTRY_ID_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    by_registrar: _registrar_common_types_pb2.RegistrarHandle
    contact_snapshot_id: _common_types_pb2.SnapshotId
    auth_info: str
    generate: _empty_pb2.Empty
    ttl: int
    log_entry_id: _common_types_pb2.LogEntryId
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., by_registrar: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ..., contact_snapshot_id: _Optional[_Union[_common_types_pb2.SnapshotId, _Mapping]] = ..., auth_info: _Optional[str] = ..., generate: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., ttl: _Optional[int] = ..., log_entry_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ...) -> None: ...

class AddContactAuthInfoReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("auth_info",)
        AUTH_INFO_FIELD_NUMBER: _ClassVar[int]
        auth_info: str
        def __init__(self, auth_info: _Optional[str] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist", "registrar_does_not_exist", "invalid_snapshot", "invalid_data")
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_SNAPSHOT_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: _error_types_pb2.ContactDoesNotExist
        registrar_does_not_exist: _error_types_pb2.RegistrarDoesNotExist
        invalid_snapshot: _error_types_pb2.InvalidSnapshot
        invalid_data: _error_types_pb2.InvalidData
        def __init__(self, contact_does_not_exist: _Optional[_Union[_error_types_pb2.ContactDoesNotExist, _Mapping]] = ..., registrar_does_not_exist: _Optional[_Union[_error_types_pb2.RegistrarDoesNotExist, _Mapping]] = ..., invalid_snapshot: _Optional[_Union[_error_types_pb2.InvalidSnapshot, _Mapping]] = ..., invalid_data: _Optional[_Union[_error_types_pb2.InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: AddContactAuthInfoReply.Data
    exception: AddContactAuthInfoReply.Exception
    def __init__(self, data: _Optional[_Union[AddContactAuthInfoReply.Data, _Mapping]] = ..., exception: _Optional[_Union[AddContactAuthInfoReply.Exception, _Mapping]] = ...) -> None: ...
