from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from fred_api.registry import error_types_pb2 as _error_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class CheckAuctionRequest(_message.Message):
    __slots__ = ("fqdn", "winner_id")
    FQDN_FIELD_NUMBER: _ClassVar[int]
    WINNER_ID_FIELD_NUMBER: _ClassVar[int]
    fqdn: _domain_common_types_pb2.Fqdn
    winner_id: _contact_common_types_pb2.ContactId
    def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ..., winner_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ...) -> None: ...

class CheckAuctionReply(_message.Message):
    __slots__ = ("data", "error")
    class Data(_message.Message):
        __slots__ = ("is_auctioned", "has_winner", "is_winner")
        IS_AUCTIONED_FIELD_NUMBER: _ClassVar[int]
        HAS_WINNER_FIELD_NUMBER: _ClassVar[int]
        IS_WINNER_FIELD_NUMBER: _ClassVar[int]
        is_auctioned: bool
        has_winner: bool
        is_winner: bool
        def __init__(self, is_auctioned: bool = ..., has_winner: bool = ..., is_winner: bool = ...) -> None: ...
    class Error(_message.Message):
        __slots__ = ("reasons",)
        class Reason(_message.Message):
            __slots__ = ("contact_does_not_exist", "invalid_value")
            CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
            INVALID_VALUE_FIELD_NUMBER: _ClassVar[int]
            contact_does_not_exist: _error_types_pb2.ContactDoesNotExist
            invalid_value: _error_types_pb2.InvalidValue
            def __init__(self, contact_does_not_exist: _Optional[_Union[_error_types_pb2.ContactDoesNotExist, _Mapping]] = ..., invalid_value: _Optional[_Union[_error_types_pb2.InvalidValue, _Mapping]] = ...) -> None: ...
        REASONS_FIELD_NUMBER: _ClassVar[int]
        reasons: _containers.RepeatedCompositeFieldContainer[CheckAuctionReply.Error.Reason]
        def __init__(self, reasons: _Optional[_Iterable[_Union[CheckAuctionReply.Error.Reason, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    ERROR_FIELD_NUMBER: _ClassVar[int]
    data: CheckAuctionReply.Data
    error: CheckAuctionReply.Error
    def __init__(self, data: _Optional[_Union[CheckAuctionReply.Data, _Mapping]] = ..., error: _Optional[_Union[CheckAuctionReply.Error, _Mapping]] = ...) -> None: ...
