from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class CheckFqdnRequest(_message.Message):
    __slots__ = ("fqdn",)
    FQDN_FIELD_NUMBER: _ClassVar[int]
    fqdn: _domain_common_types_pb2.Fqdn
    def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ...) -> None: ...

class CheckFqdnReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("has_valid_syntax", "domain_id", "is_blacklisted", "managed_zone")
        HAS_VALID_SYNTAX_FIELD_NUMBER: _ClassVar[int]
        DOMAIN_ID_FIELD_NUMBER: _ClassVar[int]
        IS_BLACKLISTED_FIELD_NUMBER: _ClassVar[int]
        MANAGED_ZONE_FIELD_NUMBER: _ClassVar[int]
        has_valid_syntax: bool
        domain_id: _domain_common_types_pb2.DomainId
        is_blacklisted: bool
        managed_zone: _domain_common_types_pb2.Fqdn
        def __init__(self, has_valid_syntax: bool = ..., domain_id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ..., is_blacklisted: bool = ..., managed_zone: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: CheckFqdnReply.Data
    def __init__(self, data: _Optional[_Union[CheckFqdnReply.Data, _Mapping]] = ...) -> None: ...
