from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RegistrarZoneAccessRequest(_message.Message):
    __slots__ = ("registrar_handle",)
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class RegistrarZoneAccessReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("registrar_handle", "access_by_zone")
        class Period(_message.Message):
            __slots__ = ("valid_from", "valid_to")
            VALID_FROM_FIELD_NUMBER: _ClassVar[int]
            VALID_TO_FIELD_NUMBER: _ClassVar[int]
            valid_from: _timestamp_pb2.Timestamp
            valid_to: _timestamp_pb2.Timestamp
            def __init__(self, valid_from: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., valid_to: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...
        class Access(_message.Message):
            __slots__ = ("has_access_now", "history")
            HAS_ACCESS_NOW_FIELD_NUMBER: _ClassVar[int]
            HISTORY_FIELD_NUMBER: _ClassVar[int]
            has_access_now: bool
            history: _containers.RepeatedCompositeFieldContainer[RegistrarZoneAccessReply.Data.Period]
            def __init__(self, has_access_now: bool = ..., history: _Optional[_Iterable[_Union[RegistrarZoneAccessReply.Data.Period, _Mapping]]] = ...) -> None: ...
        class AccessByZoneEntry(_message.Message):
            __slots__ = ("key", "value")
            KEY_FIELD_NUMBER: _ClassVar[int]
            VALUE_FIELD_NUMBER: _ClassVar[int]
            key: str
            value: RegistrarZoneAccessReply.Data.Access
            def __init__(self, key: _Optional[str] = ..., value: _Optional[_Union[RegistrarZoneAccessReply.Data.Access, _Mapping]] = ...) -> None: ...
        REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
        ACCESS_BY_ZONE_FIELD_NUMBER: _ClassVar[int]
        registrar_handle: _registrar_common_types_pb2.RegistrarHandle
        access_by_zone: _containers.MessageMap[str, RegistrarZoneAccessReply.Data.Access]
        def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ..., access_by_zone: _Optional[_Mapping[str, RegistrarZoneAccessReply.Data.Access]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("registrar_does_not_exist",)
        class RegistrarDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        registrar_does_not_exist: RegistrarZoneAccessReply.Exception.RegistrarDoesNotExist
        def __init__(self, registrar_does_not_exist: _Optional[_Union[RegistrarZoneAccessReply.Exception.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: RegistrarZoneAccessReply.Data
    exception: RegistrarZoneAccessReply.Exception
    def __init__(self, data: _Optional[_Union[RegistrarZoneAccessReply.Data, _Mapping]] = ..., exception: _Optional[_Union[RegistrarZoneAccessReply.Exception, _Mapping]] = ...) -> None: ...
