from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry import error_types_pb2 as _error_types_pb2
from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ListContactsByStateRequest(_message.Message):
    __slots__ = ("state_flags", "aggregate_entire_history", "sponsoring_registrar")
    class StateFlagsEntry(_message.Message):
        __slots__ = ("key", "value")
        KEY_FIELD_NUMBER: _ClassVar[int]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        key: str
        value: bool
        def __init__(self, key: _Optional[str] = ..., value: bool = ...) -> None: ...
    STATE_FLAGS_FIELD_NUMBER: _ClassVar[int]
    AGGREGATE_ENTIRE_HISTORY_FIELD_NUMBER: _ClassVar[int]
    SPONSORING_REGISTRAR_FIELD_NUMBER: _ClassVar[int]
    state_flags: _containers.ScalarMap[str, bool]
    aggregate_entire_history: bool
    sponsoring_registrar: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, state_flags: _Optional[_Mapping[str, bool]] = ..., aggregate_entire_history: bool = ..., sponsoring_registrar: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class ListContactsByStateReply(_message.Message):
    __slots__ = ("data", "error")
    class Data(_message.Message):
        __slots__ = ("contacts", "snapshot_id")
        CONTACTS_FIELD_NUMBER: _ClassVar[int]
        SNAPSHOT_ID_FIELD_NUMBER: _ClassVar[int]
        contacts: _containers.RepeatedCompositeFieldContainer[_contact_common_types_pb2.ContactRef]
        snapshot_id: _common_types_pb2.SnapshotId
        def __init__(self, contacts: _Optional[_Iterable[_Union[_contact_common_types_pb2.ContactRef, _Mapping]]] = ..., snapshot_id: _Optional[_Union[_common_types_pb2.SnapshotId, _Mapping]] = ...) -> None: ...
    class Error(_message.Message):
        __slots__ = ("reasons",)
        class Reason(_message.Message):
            __slots__ = ("state_flag_does_not_exist", "registrar_does_not_exist")
            STATE_FLAG_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
            REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
            state_flag_does_not_exist: _error_types_pb2.StateFlagDoesNotExist
            registrar_does_not_exist: _error_types_pb2.RegistrarDoesNotExist
            def __init__(self, state_flag_does_not_exist: _Optional[_Union[_error_types_pb2.StateFlagDoesNotExist, _Mapping]] = ..., registrar_does_not_exist: _Optional[_Union[_error_types_pb2.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
        REASONS_FIELD_NUMBER: _ClassVar[int]
        reasons: _containers.RepeatedCompositeFieldContainer[ListContactsByStateReply.Error.Reason]
        def __init__(self, reasons: _Optional[_Iterable[_Union[ListContactsByStateReply.Error.Reason, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    ERROR_FIELD_NUMBER: _ClassVar[int]
    data: ListContactsByStateReply.Data
    error: ListContactsByStateReply.Error
    def __init__(self, data: _Optional[_Union[ListContactsByStateReply.Data, _Mapping]] = ..., error: _Optional[_Union[ListContactsByStateReply.Error, _Mapping]] = ...) -> None: ...
