from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry import error_types_pb2 as _error_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class MergeContactsRequest(_message.Message):
    __slots__ = ("target_contact_id", "source_contact_ids", "log_entry_id")
    TARGET_CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    SOURCE_CONTACT_IDS_FIELD_NUMBER: _ClassVar[int]
    LOG_ENTRY_ID_FIELD_NUMBER: _ClassVar[int]
    target_contact_id: _contact_common_types_pb2.ContactId
    source_contact_ids: _containers.RepeatedCompositeFieldContainer[_contact_common_types_pb2.ContactId]
    log_entry_id: _common_types_pb2.LogEntryId
    def __init__(self, target_contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., source_contact_ids: _Optional[_Iterable[_Union[_contact_common_types_pb2.ContactId, _Mapping]]] = ..., log_entry_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ...) -> None: ...

class MergeContactsReply(_message.Message):
    __slots__ = ("exception",)
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist", "invalid_data")
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: _error_types_pb2.ContactDoesNotExist
        invalid_data: _error_types_pb2.InvalidData
        def __init__(self, contact_does_not_exist: _Optional[_Union[_error_types_pb2.ContactDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[_error_types_pb2.InvalidData, _Mapping]] = ...) -> None: ...
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    exception: MergeContactsReply.Exception
    def __init__(self, exception: _Optional[_Union[MergeContactsReply.Exception, _Mapping]] = ...) -> None: ...
