from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ContactRepresentativeId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ContactRepresentativeHistoryId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class ContactRepresentativeInfo(_message.Message):
    __slots__ = ("id", "history_id", "contact_id", "name", "organization", "place", "telephone", "email")
    ID_FIELD_NUMBER: _ClassVar[int]
    HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    PLACE_FIELD_NUMBER: _ClassVar[int]
    TELEPHONE_FIELD_NUMBER: _ClassVar[int]
    EMAIL_FIELD_NUMBER: _ClassVar[int]
    id: ContactRepresentativeId
    history_id: ContactRepresentativeHistoryId
    contact_id: _contact_common_types_pb2.ContactId
    name: str
    organization: str
    place: _common_types_pb2.PlaceAddress
    telephone: _common_types_pb2.PhoneNumber
    email: _common_types_pb2.EmailAddress
    def __init__(self, id: _Optional[_Union[ContactRepresentativeId, _Mapping]] = ..., history_id: _Optional[_Union[ContactRepresentativeHistoryId, _Mapping]] = ..., contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., name: _Optional[str] = ..., organization: _Optional[str] = ..., place: _Optional[_Union[_common_types_pb2.PlaceAddress, _Mapping]] = ..., telephone: _Optional[_Union[_common_types_pb2.PhoneNumber, _Mapping]] = ..., email: _Optional[_Union[_common_types_pb2.EmailAddress, _Mapping]] = ...) -> None: ...
