from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class FqdnHistoryRequest(_message.Message):
    __slots__ = ("fqdn",)
    FQDN_FIELD_NUMBER: _ClassVar[int]
    fqdn: _domain_common_types_pb2.Fqdn
    def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ...) -> None: ...

class DomainLifetime(_message.Message):
    __slots__ = ("domain_id", "registered_from", "registered_to")
    class TimeSpec(_message.Message):
        __slots__ = ("domain_history_id", "timestamp")
        DOMAIN_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        domain_history_id: _domain_common_types_pb2.DomainHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, domain_history_id: _Optional[_Union[_domain_common_types_pb2.DomainHistoryId, _Mapping]] = ..., timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...
    DOMAIN_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_FROM_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_TO_FIELD_NUMBER: _ClassVar[int]
    domain_id: _domain_common_types_pb2.DomainId
    registered_from: DomainLifetime.TimeSpec
    registered_to: DomainLifetime.TimeSpec
    def __init__(self, domain_id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ..., registered_from: _Optional[_Union[DomainLifetime.TimeSpec, _Mapping]] = ..., registered_to: _Optional[_Union[DomainLifetime.TimeSpec, _Mapping]] = ...) -> None: ...

class FqdnHistoryReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("fqdn", "timeline")
        FQDN_FIELD_NUMBER: _ClassVar[int]
        TIMELINE_FIELD_NUMBER: _ClassVar[int]
        fqdn: _domain_common_types_pb2.Fqdn
        timeline: _containers.RepeatedCompositeFieldContainer[DomainLifetime]
        def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ..., timeline: _Optional[_Iterable[_Union[DomainLifetime, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: FqdnHistoryReply.Data
    def __init__(self, data: _Optional[_Union[FqdnHistoryReply.Data, _Mapping]] = ...) -> None: ...
