from fred_api.registry.domain_blacklist import domain_blacklist_common_types_pb2 as _domain_blacklist_common_types_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class BlockDoesNotExist(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class InvalidData(_message.Message):
    __slots__ = ("fields",)
    FIELDS_FIELD_NUMBER: _ClassVar[int]
    fields: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, fields: _Optional[_Iterable[str]] = ...) -> None: ...

class BlockInfoRequest(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _domain_blacklist_common_types_pb2.BlockId
    def __init__(self, id: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]] = ...) -> None: ...

class BlockInfoReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("block",)
        BLOCK_FIELD_NUMBER: _ClassVar[int]
        block: _domain_blacklist_common_types_pb2.BlockInfo
        def __init__(self, block: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockInfo, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("block_does_not_exist", "invalid_data")
        BLOCK_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        block_does_not_exist: BlockDoesNotExist
        invalid_data: InvalidData
        def __init__(self, block_does_not_exist: _Optional[_Union[BlockDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: BlockInfoReply.Data
    exception: BlockInfoReply.Exception
    def __init__(self, data: _Optional[_Union[BlockInfoReply.Data, _Mapping]] = ..., exception: _Optional[_Union[BlockInfoReply.Exception, _Mapping]] = ...) -> None: ...

class CreateBlockData(_message.Message):
    __slots__ = ("fqdn", "regex", "requested_by", "id", "valid_from", "valid_to", "reason")
    FQDN_FIELD_NUMBER: _ClassVar[int]
    REGEX_FIELD_NUMBER: _ClassVar[int]
    REQUESTED_BY_FIELD_NUMBER: _ClassVar[int]
    ID_FIELD_NUMBER: _ClassVar[int]
    VALID_FROM_FIELD_NUMBER: _ClassVar[int]
    VALID_TO_FIELD_NUMBER: _ClassVar[int]
    REASON_FIELD_NUMBER: _ClassVar[int]
    fqdn: str
    regex: str
    requested_by: _domain_blacklist_common_types_pb2.RequestedBy
    id: _domain_blacklist_common_types_pb2.BlockId
    valid_from: _timestamp_pb2.Timestamp
    valid_to: _timestamp_pb2.Timestamp
    reason: str
    def __init__(self, fqdn: _Optional[str] = ..., regex: _Optional[str] = ..., requested_by: _Optional[_Union[_domain_blacklist_common_types_pb2.RequestedBy, _Mapping]] = ..., id: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]] = ..., valid_from: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., valid_to: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., reason: _Optional[str] = ...) -> None: ...

class CreateBlockRequest(_message.Message):
    __slots__ = ("block",)
    BLOCK_FIELD_NUMBER: _ClassVar[int]
    block: CreateBlockData
    def __init__(self, block: _Optional[_Union[CreateBlockData, _Mapping]] = ...) -> None: ...

class CreateBlockReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("id",)
        ID_FIELD_NUMBER: _ClassVar[int]
        id: _domain_blacklist_common_types_pb2.BlockId
        def __init__(self, id: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("block_id_already_exists", "invalid_data")
        class BlockIdAlreadyExists(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        BLOCK_ID_ALREADY_EXISTS_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        block_id_already_exists: CreateBlockReply.Exception.BlockIdAlreadyExists
        invalid_data: InvalidData
        def __init__(self, block_id_already_exists: _Optional[_Union[CreateBlockReply.Exception.BlockIdAlreadyExists, _Mapping]] = ..., invalid_data: _Optional[_Union[InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: CreateBlockReply.Data
    exception: CreateBlockReply.Exception
    def __init__(self, data: _Optional[_Union[CreateBlockReply.Data, _Mapping]] = ..., exception: _Optional[_Union[CreateBlockReply.Exception, _Mapping]] = ...) -> None: ...

class DeleteBlockRequest(_message.Message):
    __slots__ = ("id", "requested_by")
    ID_FIELD_NUMBER: _ClassVar[int]
    REQUESTED_BY_FIELD_NUMBER: _ClassVar[int]
    id: _domain_blacklist_common_types_pb2.BlockId
    requested_by: _domain_blacklist_common_types_pb2.RequestedBy
    def __init__(self, id: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]] = ..., requested_by: _Optional[_Union[_domain_blacklist_common_types_pb2.RequestedBy, _Mapping]] = ...) -> None: ...

class DeleteBlockReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("id",)
        ID_FIELD_NUMBER: _ClassVar[int]
        id: _domain_blacklist_common_types_pb2.BlockId
        def __init__(self, id: _Optional[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("block_does_not_exist", "invalid_data")
        BLOCK_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        block_does_not_exist: BlockDoesNotExist
        invalid_data: InvalidData
        def __init__(self, block_does_not_exist: _Optional[_Union[BlockDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: DeleteBlockReply.Data
    exception: DeleteBlockReply.Exception
    def __init__(self, data: _Optional[_Union[DeleteBlockReply.Data, _Mapping]] = ..., exception: _Optional[_Union[DeleteBlockReply.Exception, _Mapping]] = ...) -> None: ...

class ListBlocksReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("blocks",)
        BLOCKS_FIELD_NUMBER: _ClassVar[int]
        blocks: _containers.RepeatedCompositeFieldContainer[_domain_blacklist_common_types_pb2.BlockRef]
        def __init__(self, blocks: _Optional[_Iterable[_Union[_domain_blacklist_common_types_pb2.BlockRef, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ListBlocksReply.Data
    def __init__(self, data: _Optional[_Union[ListBlocksReply.Data, _Mapping]] = ...) -> None: ...
