from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from fred_api.registry.keyset import keyset_common_types_pb2 as _keyset_common_types_pb2
from fred_api.registry.nsset import nsset_common_types_pb2 as _nsset_common_types_pb2
from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class InvalidData(_message.Message):
    __slots__ = ("fields",)
    FIELDS_FIELD_NUMBER: _ClassVar[int]
    fields: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, fields: _Optional[_Iterable[str]] = ...) -> None: ...

class InvalidSnapshot(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class InvalidValue(_message.Message):
    __slots__ = ("field", "detail")
    FIELD_FIELD_NUMBER: _ClassVar[int]
    DETAIL_FIELD_NUMBER: _ClassVar[int]
    field: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.FieldIdent]
    detail: str
    def __init__(self, field: _Optional[_Iterable[_Union[_common_types_pb2.FieldIdent, _Mapping]]] = ..., detail: _Optional[str] = ...) -> None: ...

class InvalidSequence(_message.Message):
    __slots__ = ("too_few_items", "too_many_items", "non_unique_items")
    TOO_FEW_ITEMS_FIELD_NUMBER: _ClassVar[int]
    TOO_MANY_ITEMS_FIELD_NUMBER: _ClassVar[int]
    NON_UNIQUE_ITEMS_FIELD_NUMBER: _ClassVar[int]
    too_few_items: bool
    too_many_items: bool
    non_unique_items: bool
    def __init__(self, too_few_items: bool = ..., too_many_items: bool = ..., non_unique_items: bool = ...) -> None: ...

class PermissionDenied(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class ContactBlocked(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _contact_common_types_pb2.ContactId
    def __init__(self, id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ...) -> None: ...

class ContactDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _contact_common_types_pb2.ContactId
    def __init__(self, id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ...) -> None: ...

class DomainBlocked(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _domain_common_types_pb2.DomainId
    def __init__(self, id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ...) -> None: ...

class DomainDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _domain_common_types_pb2.DomainId
    def __init__(self, id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ...) -> None: ...

class KeysetBlocked(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _keyset_common_types_pb2.KeysetId
    def __init__(self, id: _Optional[_Union[_keyset_common_types_pb2.KeysetId, _Mapping]] = ...) -> None: ...

class KeysetDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _keyset_common_types_pb2.KeysetId
    def __init__(self, id: _Optional[_Union[_keyset_common_types_pb2.KeysetId, _Mapping]] = ...) -> None: ...

class NssetDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _nsset_common_types_pb2.NssetId
    def __init__(self, id: _Optional[_Union[_nsset_common_types_pb2.NssetId, _Mapping]] = ...) -> None: ...

class BillingError(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class RegistrarDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _registrar_common_types_pb2.RegistrarId
    def __init__(self, id: _Optional[_Union[_registrar_common_types_pb2.RegistrarId, _Mapping]] = ...) -> None: ...

class StateFlagDoesNotExist(_message.Message):
    __slots__ = ("flag",)
    FLAG_FIELD_NUMBER: _ClassVar[int]
    flag: str
    def __init__(self, flag: _Optional[str] = ...) -> None: ...

class StateFlagRequestAlreadyExists(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _common_types_pb2.StateFlagRequestId
    def __init__(self, id: _Optional[_Union[_common_types_pb2.StateFlagRequestId, _Mapping]] = ...) -> None: ...

class StateFlagRequestDoesNotExist(_message.Message):
    __slots__ = ("id",)
    ID_FIELD_NUMBER: _ClassVar[int]
    id: _common_types_pb2.StateFlagRequestId
    def __init__(self, id: _Optional[_Union[_common_types_pb2.StateFlagRequestId, _Mapping]] = ...) -> None: ...
