from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class GetRegistrarEppCredentialsRequest(_message.Message):
    __slots__ = ("registrar_handle",)
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class GetRegistrarEppCredentialsReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("registrar_handle", "credentials")
        class Credentials(_message.Message):
            __slots__ = ("credentials_id", "create_time", "certificate")
            CREDENTIALS_ID_FIELD_NUMBER: _ClassVar[int]
            CREATE_TIME_FIELD_NUMBER: _ClassVar[int]
            CERTIFICATE_FIELD_NUMBER: _ClassVar[int]
            credentials_id: _registrar_common_types_pb2.RegistrarEppCredentialsId
            create_time: _timestamp_pb2.Timestamp
            certificate: _registrar_common_types_pb2.SslCertificate
            def __init__(self, credentials_id: _Optional[_Union[_registrar_common_types_pb2.RegistrarEppCredentialsId, _Mapping]] = ..., create_time: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., certificate: _Optional[_Union[_registrar_common_types_pb2.SslCertificate, _Mapping]] = ...) -> None: ...
        REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
        CREDENTIALS_FIELD_NUMBER: _ClassVar[int]
        registrar_handle: _registrar_common_types_pb2.RegistrarHandle
        credentials: _containers.RepeatedCompositeFieldContainer[GetRegistrarEppCredentialsReply.Data.Credentials]
        def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ..., credentials: _Optional[_Iterable[_Union[GetRegistrarEppCredentialsReply.Data.Credentials, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("registrar_does_not_exist",)
        class RegistrarDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        registrar_does_not_exist: GetRegistrarEppCredentialsReply.Exception.RegistrarDoesNotExist
        def __init__(self, registrar_does_not_exist: _Optional[_Union[GetRegistrarEppCredentialsReply.Exception.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: GetRegistrarEppCredentialsReply.Data
    exception: GetRegistrarEppCredentialsReply.Exception
    def __init__(self, data: _Optional[_Union[GetRegistrarEppCredentialsReply.Data, _Mapping]] = ..., exception: _Optional[_Union[GetRegistrarEppCredentialsReply.Exception, _Mapping]] = ...) -> None: ...
